/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.hp.hpl.jena.sdb.store;

import com.hp.hpl.jena.query.Dataset ;
import com.hp.hpl.jena.query.DatasetFactory ;
import com.hp.hpl.jena.sdb.SDB ;
import com.hp.hpl.jena.sdb.Store ;
import com.hp.hpl.jena.sparql.core.DatasetGraph ;

public class DatasetStore
{
    static { SDB.init() ; }
    
    public static Dataset create(Store store)
    { 
        DatasetGraph dsg = createDatasetGraph(store) ;
        return DatasetFactory.create(dsg) ;
    }
    
    public static DatasetGraph createDatasetGraph(Store store)
    { 
        return createDatasetStoreGraph(store) ;
    }
    
    public static DatasetStoreGraph createDatasetStoreGraph(Store store)
    { 
        return new DatasetStoreGraph(store, SDB.getContext().copy()) ;
    }
}
